﻿using Microsoft.AspNetCore.Components;
using Blazor.Models;
using Blazor.Services;
using Blazor.Pages.Admins;

namespace Blazor.Pages.Questions
{
    public partial class AddQuestion
    {
        private QuestionModel questionModel = new();

        [Inject]
        public IDataService DataService { get; set; }

        [Inject]
        public NavigationManager NavigationManager { get; set; }

        [Inject]
        public ILogger<AddAdministrator> Logger { get; set; }


        private async Task HandleValidSubmit()
        {

            await DataService.Add(questionModel);

            var formData = new List<KeyValuePair<string, string>>();
            formData.Add(new KeyValuePair<string, string>("content", questionModel.Content));

            var formContent = new FormUrlEncodedContent(formData);

            string apiUri = API.API_URL+"add/administrator/"+API.TOKEN;

            using (var httpClient = new HttpClient())
            {
                var response = await httpClient.PostAsync(apiUri, formContent);

                if (response.IsSuccessStatusCode)
                {
                    var responseBody = await response.Content.ReadAsStringAsync();
                }
                else
                {
                    var errorResponse = await response.Content.ReadAsStringAsync();
                }
            }

            Logger.LogInformation("Admin '{administratorsModelName}' added", questionModel.Content);

            NavigationManager.NavigateTo("administrators");
        }
    }
}
